#----  PowerShell Remoting ----
    # XFREERDP (Or SPICE) -> win-ops
    # RDP -> Admin
    # PSSession -> Domain

    # Start a PSSession on remote machine
        Enter-Pssession -ComputerName $COMPUTER_NAME -Credential ARMY\john.huntsman

    # Shows PS Session Config State
        Get-PSSessionConfiguration
    # Enable 
        Enable-PSRemoting
        Get-PSSessionConfiguration
        Get-Item WSMan:\localhost\Client\TrustedHosts
        Set-Item WSMan:\localhost\Client\TrustedHosts -value "IP" -Concatenate

# Invoke-Webrequest (wget)
    Invoke-WebRequest -Uri "10.50.25.3/class/admin_station/PsExec.exe" -OutFile "C:\windows\system32\psexec.exe"

# Using a Net.WebClient Object
    $WebClient = New-Object System.Net.WebClient
    $WebClient.Credentials = New-Object System.Net.Networkcredential($Username, $Password)
    $Url = "https://github.com/PowerShell/Win32-OpenSSH/releases/download/v7.7.2.0p1-Beta/OpenSSH-Win64.zip"
    $Path = "C:\Program Files\OpenSSH.zip"
    $WebClient.DownloadFile( $url, $path )

# Or

    (New-Object System.Net.WebClient).DownloadFile($url, $path)


# Accessing different fields of communication over HTTP
    $response = Invoke-WebRequest -UseBasicParsing 'https://postman-echo.com/get?foo1=bar1&foo2=bar2'
    $response.StatusCode
    $response.Headers
    $response.Content
    $response.RawContent
    $response.StatusDescription

