#!/bin/bash
if : ; then
# File:            umask.sh
# Name:            Kevin Crotty
# Date:            26 Mar 2019
# Desc:            Demonstrate how umask works
# Usage:          . umash.sh (as root)

# Set Colors for use in the script
export NC='\e[0m'               # Text Reset
export BBlack='\e[1;30m'        # Black
export BRed='\e[1;31m'          # Red
export BGreen='\e[1;32m'        # Green
export BYellow='\e[1;33m'       # Yellow
export BBlue='\e[1;34m'         # Blue
export BPurple='\e[1;35m'       # Purple
export BCyan='\e[1;36m'         # Cyan
export BWhite='\e[1;37m'        # White

# Example demonstraion of color usage
# echo -e "${BGreen} \# \n "
# echo -e "\n${BRed} ${NC}"
fi

echo -e "\n${BRed}umask 012${NC}"
umask 012
echo -e "\n${BRed}touch file_012${NC}"
touch file_012.txt
echo -e "\n${BRed}umask 345${NC}"
umask 345
echo -e "\n${BRed}touch file_345${NC}"
echo -e "\n${BRed}umask 670${NC}"
touch file_345.txt
umask 670
echo -e "\n${BRed}touch file_670${NC}"
touch file_670.txt
echo -e "\n${BRed}ls -l file_*${NC}"
ls -l *txt
rm *.txt
