###
### This is a 2 part script meant to be sourced not executed!!!
### Turn each part on/off by changing the appropriate value in the 2 'if' statements
###
### SOURCE THIS SCRIPT
###
###
###

run_bashoc=true
run_demo=false

if $run_bashoc # run_bashoc Start
then
	#  Close any previously opened fd(7) instances
	exec 7<&-  && sleep .2

	#  Opens fd(7) for reading and writing and associates it with a TCP SSH Socket
	exec 7<>/dev/tcp/localhost/22 && sleep .2



	#  Sets variable 'pid' to the pid of the newly created ssh conection
	pid=$(ps -elf | gg | grep accepted | awk '{print $4}') && sleep .2

	#  Show the fd's associated with ssh conection
	#lsof 2>/dev/null | grep -v DIR | grep -v REG | grep -v CHR | grep $pid  && sleep .2
	inode_1=$(lsof 2>/dev/null | grep $pid | grep "3u" | awk '{print $6}')
	inode_2=$(lsof 2>/dev/null | grep $pid | grep "5w" | awk '{print $8}')

# INFORMATION GATHERED
echo "*** COMMAND ISSUED ***"
echo; echo 'exec 7<>/dev/tcp/localhost/ssh' | grep '.*'
echo
echo "*** INFORMATION GATHERED ***"
echo
echo '-----------------------'
echo "The value of the pid of our ssh connection is $pid" | grep $pid
echo

echo "The ls-l result of on /proc/$pid/fd/ are as follows:" | grep \/proc\/$pid\/fd\/
ls -l /proc/$pid/fd/
echo

echo "The related output from lsof is below:"
lsof 2>/dev/null | grep -v DIR | grep -v REG | grep -v CHR | grep $pid  && echo && sleep .2
echo '-----------------------'
echo "The value of the inode of our ssh connection socket is $inode_1" | grep $inode_1
echo
echo "The related output from lsof is below:"
lsof 2>/dev/null | grep -v DIR | grep -v REG | grep -v CHR | grep $inode_1  && echo && sleep .2
echo '-----------------------'
echo "The value of the inode of our ssh connection pipe is $inode_2" | grep $inode_2
echo
echo "The related output from lsof is below:"
lsof 2>/dev/null | grep -v DIR | grep -v REG | grep -v CHR | grep $inode_2  && echo && sleep .2

fi # run_bashoc END

if $run_demo
then

unset less_pid
unset less_pid
pkill -9 ls &>/dev/null
sleep .5 &>/dev/null
pkill -9 less &>/dev/null

ls -l /etc/ | less 2>/dev/null &
sleep .5 &>/dev/null
ps -elf | grep pts/0 | gg | grep "(ls|less)"


#ls_pid=$(ps -elf | grep pts/0 | gg | grep ls | awk '{print $4}')
#less_pid=$(ps -elf | grep pts/0 | gg | grep less | awk '{print $4}')
echo
echo
echo "ls_pid = "$ls_pid
echo "less_pid = "$less_pid
unset ls_pid
unset less_pid

#sleep 2

#lsof 2>/dev/null | grep -v DIR | grep -v REG | grep $ls_pid  && echo && sleep .2
#lsof 2>/dev/null | grep -v DIR | grep -v REG | grep $less_pid  && echo && sleep .2

#sleep 2

#sleep 1 && kill -9 $ls_pid 2>/dev/null
#sleep 1 && kill -9 $less_pid 2>/dev/null

pkill -9 ls &>/dev/null
sleep .5 &>/dev/null
pkill -9 less &>/dev/null

fi
