#!/bin/bash

# File:         connect.sh
# Name:         Joseph Gerwing
# Date:         20200311
# Desc:         Take user input for xfreerdp or ssh into instances
# Usage:        ./connect.sh

# Define Function
connect () {
clear

# Take user input
  read -p "Provide a username: " username
  read -p "Finish the floating IP: 10.50." float
  read -p "Choose one '[s]sh' or '[x]freerdp': " choice
# if/elif statements for xfreerdp or ssh
  if [ $choice == "x" ];then
    echo "xfreerdp /u:${username} /v:10.50.${float} /size:1910x1020 +glyph-cache +clipboard"
    xfreerdp /u:${username} /v:10.50.${float} /size:1910x1020 +glyph-cache +clipboard
  elif [ $choice == "s" ];then
    echo "ssh -X ${username}@10.50.${float}"
    ssh -X ${username}@10.50.${float}
  else
    echo "Invalid option.  Rerun './connect.sh' and try using 'x' or 's'"
  fi
}

# Invoke Function
connect
